#!/bin/bash

tag="0.2.0"
repo="node-compress-commons"
url="https://github.com/ctalkington/${repo}.git"

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone ${url}
cd ${repo}
git archive --format=tar tags/${tag} test/ \
    | bzip2 > "$pwd"/nodejs-${repo}-tests-${tag}.tar.bz2
popd
